Bug 1650698 - [DOCS] docs incorrectly state RHEL versions that OCP 3.11 is supported on
Summary: [DOCS] docs incorrectly state RHEL versions that OCP 3.11 is supported on
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.11.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Ashley Hardin
QA Contact: Weihua Meng
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-16 21:45 UTC by Steven Walter
Modified: 2019-01-21 14:04 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-21 14:04:53 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Steven Walter 2018-11-16 21:45:38 UTC
Document URL: 

https://docs.openshift.com/container-platform/3.11/install/host_preparation.htmlSection Number and Name: 

Operating system requirements

Describe the issue: 
This sentence implies that only 7.4 and 7.5 is supported:

Master and node hosts must use a base installation of Red Hat Enterprise Linux (RHEL) 7.4 or 7.5 with the latest packages from the Extras channel or RHEL Atomic Host 7.4.2 or later. See the following documentation for the respective installation instructions, if required:

But later in the document we are told to "yum update" which brings us to 7.6. Moreover, I believe that 7.4+ is supported for 3.11. See paragraph 2 of [1]:

Because RHEL and OCP have independent lifecycles, its possible for RHEL to update, to say 7.Y, but for this page to only say OCP 3.Y only is "tested/supported" with 7.Y-1. In the case of RHEL (and its updates), these types of configurations are always "tested" and "supported"

[1] https://access.redhat.com/articles/2176281

Suggestions for improvement: 
Change "7.4 or 7.5" to "7.4+"

Additional information:

Comment 1 Kenjiro Nakayama 2018-11-17 04:28:15 UTC
> Document URL: 
>  
> https://docs.openshift.com/container-platform/3.11/install/host_preparation.htmlSection Number and Name:

Please fix a statement in the following page as well:

 https://docs.openshift.com/container-platform/3.11/install/prerequisites.html
 "Base OS: Red Hat Enterprise Linux (RHEL) 7.4 or 7.5 with the "Minimal" installation option"

Also, this issue exists on previous version like 3.10, 3.9 etc..

- https://docs.openshift.com/container-platform/3.9/install_config/install/prerequisites.html
- https://docs.openshift.com/container-platform/3.10/install/prerequisites.html

Comment 2 sdunne 2018-11-20 13:31:56 UTC
When do you think this will be fixed the documentation for 3.11?

Comment 4 Ashley Hardin 2018-12-18 18:07:32 UTC
Work in progress:
https://github.com/openshift/openshift-docs/pull/13152

Comment 5 Weihua Meng 2018-12-19 06:41:58 UTC
LGTM. Thanks.

Comment 6 openshift-github-bot 2018-12-19 14:42:13 UTC
Commits pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/11982e37adfdf608bdb416e5030b4ab4095cb47b
Bug 1650698, updated RHEL support information

https://github.com/openshift/openshift-docs/commit/839322406e8679a604d50be24faf1190805c83aa
Merge pull request #13152 from ahardin-rh/BZ1650698-rhel-support

Bug 1650698, updated RHEL support information

Comment 8 Candace Sheremeta 2019-01-18 01:34:16 UTC
Hi Ashley,

I'm reopening this because the same issue is still seen in the "About This Release" section here (3.11):

https://docs.openshift.com/container-platform/3.11/release_notes/ocp_3_11_release_notes.html#ocp-311-about-this-release

and here (3.10):

https://docs.openshift.com/container-platform/3.10/release_notes/ocp_3_10_release_notes.html#ocp-310-about-this-release

Can we get the same issue fixed in those places?

Comment 9 Ashley Hardin 2019-01-18 15:08:42 UTC
Hi, Candace.
Sure! The updates are here:

3.10: https://github.com/openshift/openshift-docs/pull/13352
3.11: https://github.com/openshift/openshift-docs/pull/13354


Note You need to log in before you can comment on or make changes to this bug.